SmakeSmake API Docs
EndpointsProduction Methods

List production methods

GET
/production-methods

The endpoint lists all available production methods that can be used for customizing. See Design Variants, Create Logos and Design in Order

List

Returns a collection of production methods.

Filtering

You can filter your results as follows:

List production methods for specified id(s)
  • /production-methods?filter[id]=1
  • /production-methods?filter[id]=1,2,3
List production methods for a specified handle(s)
  • /production-methods?filter[handle]=dtg
  • /production-methods?filter[handle]=dtg,embroidery

See: Pagination, Filtering

AuthorizationbearerAuth

Authorization

bearerAuth
AuthorizationBearer <token>

API token as bearer token — you receive a test and a live token, there is no switch between them. See Setup → Authentication and Setup → Test mode.

In: header

Query Parameters

page?integer

Page number to return — see Basic Usage → Pagination.

Default1
per_page?integer

Number of objects per page (default 25, maximum 100) — see Basic Usage → Pagination.

Rangevalue <= 100
Default25
filter[id]?string

List production methods for specified id(s). Several values are separated by comma, e.g. filter[id]=1,2,3.

filter[handle]?string

List production methods for a specified handle(s). Several values are separated by comma, e.g. filter[handle]=dtg,embroidery.

Header Parameters

Accept*"application/json"

The API only responds with JSON — this header is mandatory on every request (see Setup → Headers).

Default"application/json"

Value in

  • "application/json"

Response Body

application/json

application/json

Request example
curl -X GET "https://example.com/production-methods?filter%5Bid%5D=1&filter%5Bhandle%5D=dtg" \  -H "Accept: application/json"
{  "data": [    {      "id": 1,      "collection_name": "dtg",      "handle": "dtg",      "name": "Digital print",      "description": "Digital print",      "is_digitizable": false,      "created_at": "2022-03-22T07:01:12+00:00",      "updated_at": "2022-03-22T07:01:12+00:00"    },    {      "id": 2,      "collection_name": "embroidery",      "handle": "embroidery",      "name": "Embroider",      "description": "Embroider",      "is_digitizable": true,      "created_at": "2022-03-22T07:01:12+00:00",      "updated_at": "2022-03-22T07:01:12+00:00"    },    {      "id": 3,      "collection_name": "additional-instruction",      "handle": "additional-instruction",      "name": "Additional instruction",      "description": "Additional instruction",      "is_digitizable": false,      "created_at": "2022-03-22T07:01:12+00:00",      "updated_at": "2022-03-22T07:01:12+00:00"    },    {      "id": 4,      "collection_name": "manual",      "handle": "manual",      "name": "Manual",      "description": "Manual",      "is_digitizable": false,      "created_at": "2022-03-22T07:01:12+00:00",      "updated_at": "2022-03-22T07:01:12+00:00"    }  ],  "links": {    "first": "https://api.smake.io/v2/apps/1/production-methods?page=1",    "last": null,    "prev": null,    "next": null  },  "meta": {    "current_page": 1,    "from": 1,    "path": "https://api.smake.io/v2/apps/1/production-methods",    "per_page": 25,    "to": 4  }}

Get a media GET

Returns the resource for an uploaded image or PDF file with `id` = **x**.

List logos GET

Here you can view logos, design a logo or create a new one with a new file or an uploaded media (see [Upload Media](/docs/checkout/2022-02-01/endpoints/media/uploadMedia)). Designing and Creating Logos requires long-lasting file operations. After transferring and creating files you will receive a new Logo that can be placed on a variant. See [Design variant](/docs/checkout/2022-02-01/endpoints/variants/designVariant). Returns a collection of Logos. ### Filtering You can filter your results as follows — see the `filter[...]` query parameters below: - List logos for specified id(s): `/logos?filter[id]=1`, `/logos?filter[id]=1,2,3` - List logos for specified production method handle(s): `/logos?filter[production_method.handle]=dtg`, `/logos?filter[production_method.handle]=dtg,embroidery` - List logos for specified production method id(s): `/logos?filter[production_method.id]=1`, `/logos?filter[production_method.id]=1,2,3` - List logos for specified production collection name(s): `/logos?filter[collection_name]=catalogue`, `/logos?filter[collection_name]=catalogue,ordered` - List logos for a given date, only resources created after the provided date will be returned: `/logos?filter[created_at_min]=2017-09-27` - List logos for a given date, only resources created before the provided date will be returned: `/logos?filter[created_at_max]=2017-11-15` - List logos for a given date, only resources updated after the provided date will be returned: `/logos?filter[updated_at_min]=2017-09-27` - List logos for a given date, only resources updated before the provided date will be returned: `/logos?filter[updated_at_max]=2017-09-27` See: [Pagination](/docs/checkout/2022-02-01/basic/pagination), [Filtering](/docs/checkout/2022-02-01/basic/filtering) ### Expanding relationships You can expand some resources to show more details. See: [Expanding Objects](/docs/checkout/2022-02-01/basic/expanding-objects) - **Expand production method** — You can show the content of the production method instead of the `id`: `/logos?expand=production_method`